Issue 10749

Title
Allow modify reports name
Priority
feature
Status
resolved
Nosy list
Davidoff, ced, pokoli, reviewbot, roundup-bot
Assigned to
Davidoff
Keywords
review

Created on 2021-09-14.11:07:43 by Davidoff, last changed 3 months ago by roundup-bot.

Messages

New changeset cafa9a6b61e9 by Cédric Krier in branch 'default':
Allow modify record name on the reports
https://hg.tryton.org/tryton-env/rev/cafa9a6b61e9
New changeset 0e8c33ac7eeb by David Blanco Bautista in branch 'default':
Allow modify record name on the reports
https://hg.tryton.org/trytond/rev/0e8c33ac7eeb
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-09-23.00:14:29

Ok, I understand.

Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2021-09-14.17:29:12

El 14/9/21 a les 17:15, Cédric Krier ha escrit:

On 2021-09-14 17:11, Sergi Almacellas Abellana wrote:

El 14/9/21 a les 11:32, Cédric Krier ha escrit:

I see not advantage over the existing "name" of the report nor any common use case.
The name is a fixed test but sometimes it is required to have a dynamic value, like for example, the customer code in invoices.
This is managed by the record name (which could be altered with context
flag if necessary)

Of course, but this requires coding which is not a requirement to have a report.
Anyone can create a report linked to a record without having a custom module, so we should also allow to set the proper name for the reports.

Also, this will avoid to "hack" the rec_name just to update the report name.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-09-14.17:15:05
On 2021-09-14 17:11, Sergi Almacellas Abellana wrote:
> El 14/9/21 a les 11:32, Cédric Krier ha escrit:
> > I see not advantage over the existing "name" of the report nor any common use case.
> 
> The name is a fixed test but sometimes it is required to have a dynamic value, like for example, the customer code in invoices.

This is managed by the record name (which could be altered with context
flag if necessary).
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2021-09-14.17:11:42

El 14/9/21 a les 11:32, Cédric Krier ha escrit:

I see not advantage over the existing "name" of the report nor any common use case.

The name is a fixed test but sometimes it is required to have a dynamic value, like for example, the customer code in invoices.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-09-14.11:32:55

I see not advantage over the existing "name" of the report nor any common use case.

Author: [hidden] (Davidoff)
Date: 2021-09-14.11:10:05

It should be possible to modify the filename of reports adding a new field. If it is specified, that must be used, but if not, it should continue as before. We also need to check if the filename is valid.

This comes from this discuss.

Author: [hidden] (Davidoff)
Date: 2021-09-14.11:07:42

It should be possible to modify the filename of reports adding a new field. If it is specified, that must be used, but if not, it should continue as before. We also need to check if the filename is valid.

History
Date User Action Args
2021-10-08 19:31:14roundup-botsetmessages: + msg70805
2021-10-08 19:31:05roundup-botsetmessages: + msg70804
nosy: + roundup-bot
status: testing -> resolved
2021-10-06 10:36:45reviewbotsetmessages: + msg70693
2021-10-05 13:35:41reviewbotsetmessages: + msg70670
2021-10-01 12:35:42reviewbotsetmessages: + msg70540
2021-09-23 12:20:46reviewbotsetmessages: + msg70323
2021-09-23 11:55:54reviewbotsetmessages: + msg70320
2021-09-23 00:14:29cedsetmessages: + msg70286
2021-09-15 09:25:39reviewbotsetmessages: + msg70113
2021-09-14 17:29:12pokolisetmessages: + msg70101

Showing 10 items. Show all history (warning: this could be VERY long)